Bug 74081 - [chromium] MediaStream API: Moving WebMediaStreamSource.h
Summary: [chromium] MediaStream API: Moving WebMediaStreamSource.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Tommy Widenflycht
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-08 05:38 PST by Tommy Widenflycht
Modified: 2011-12-12 10:40 PST (History)
2 users (show)

See Also:


Attachments
Patch (10.36 KB, patch)
2011-12-08 05:42 PST, Tommy Widenflycht
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tommy Widenflycht 2011-12-08 05:38:48 PST
Moving WebMediaStreamSource.h to public/platform. Keeping a stub in public as to not affect chromium right now.
Comment 1 Tommy Widenflycht 2011-12-08 05:42:23 PST
Created attachment 118372 [details]
Patch
Comment 2 WebKit Review Bot 2011-12-08 05:45:50 PST
Please wait for approval from fishd@chromium.org before submitting because this patch contains changes to the Chromium public API.
Comment 3 Darin Fisher (:fishd, Google) 2011-12-08 11:10:39 PST
Comment on attachment 118372 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=118372&action=review

> Source/WebKit/chromium/WebKit.gyp:325
>                  'public/platform/WebMediaStreamDescriptor.h',

don't you also need to remove the old location from the gyp file?
Comment 4 Tommy Widenflycht 2011-12-09 05:05:59 PST
Comment on attachment 118372 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=118372&action=review

>> Source/WebKit/chromium/WebKit.gyp:325
>>                  'public/platform/WebMediaStreamDescriptor.h',
> 
> don't you also need to remove the old location from the gyp file?

If you mean public/WebMediaStreamSource.h it's still there, albeit just a as forwarding stub.
Comment 5 Darin Fisher (:fishd, Google) 2011-12-09 09:38:44 PST
(In reply to comment #4)
> If you mean public/WebMediaStreamSource.h it's still there, albeit just a as forwarding stub.

Ah, OK!  Nevermind.
Comment 6 WebKit Review Bot 2011-12-12 10:40:20 PST
Comment on attachment 118372 [details]
Patch

Clearing flags on attachment: 118372

Committed r102603: <http://trac.webkit.org/changeset/102603>
Comment 7 WebKit Review Bot 2011-12-12 10:40:24 PST
All reviewed patches have been landed.  Closing bug.